Launching xulrunner affects boot time

Bug #427036 reported by Jorge Castro on 2009-09-09
20
This bug affects 4 people
Affects Status Importance Assigned to Milestone
desktopcouch
High
Elliot Murphy
bindwood (Ubuntu)
Undecided
Unassigned
Karmic
Undecided
Unassigned
couchdb (Ubuntu)
High
Chad Miller
Karmic
High
Chad Miller
desktopcouch (Ubuntu)
High
Ken VanDine
Karmic
High
Ken VanDine

Bug Description

Because of bug #421422 currently couchdb launches xulrunner on boot, which affects boot time. Since the packaging fix won't be available for karmic there needs to be a way to figure out how to make couch not affect the boot time for karmic. (See attached bootchart)

Related branches

Jorge Castro (jorge) wrote :
Changed in desktopcouch:
importance: Undecided → High
tags: added: ubuntuone-karmic
Changed in desktopcouch:
assignee: nobody → Elliot Murphy (statik)
tags: added: desktop+
Changed in desktopcouch:
status: New → Triaged
Elliot Murphy (statik) on 2009-09-09
Changed in couchdb (Ubuntu):
assignee: nobody → Elliot Murphy (statik)
status: New → In Progress
Changed in desktopcouch:
status: Triaged → Confirmed
Changed in couchdb (Ubuntu Karmic):
importance: Undecided → High
milestone: none → karmic-alpha-6
Elliot Murphy (statik) wrote :

The proposed fixed was rejected with good rationale after discussion both in ubuntu and upstream. I'm working on a new fix that moves everything that was in the couchdb package into the couchb-bin package, and puts only the init script in the couchdb package, and then desktopcouch can depend on couchdb-bin.

Daniel Holbach (dholbach) wrote :

Ok, I'll unsubscribe the sponsors team until then! Thanks a lot Elliot!

tags: added: ubuntu-boot
Elliot Murphy (statik) on 2009-09-16
Changed in couchdb (Ubuntu Karmic):
assignee: Elliot Murphy (statik) → Chad Miller (cmiller)
Elliot Murphy (statik) wrote :
Elliot Murphy (statik) wrote :
Elliot Murphy (statik) wrote :
Elliot Murphy (statik) wrote :

chad is finishing up the diff for couchdb that goes along with these other three changes. chef-server and chef-slice were deliberately not changed, they should still depend on couchdb rather than couchdb-bin.

Steve Langasek (vorlon) wrote :

A few tweaks needed to the package:

- couchdb-bin needs to replace the previous couchdb package, for smooth upgrades
- /etc/default/couchdb is a config file for use by the init script, so should be in the couchdb package
- ${couchdb-bin:Depends} is not declared anywhere - and there's no reason to use a substitution, anyway. This should be a hard-coded dependency ( Depends: couchdb-bin (= ${binary:Version}) ), no reason to invent a new substitution.

I've made these three adjustments to the package and am uploading now; thanks for preparing this.

Going forward, I think all the other contents in /var and /etc should also be moved to the couchdb package, since they're only relevant to the system couchdb instance - other users making use of the binaries aren't going to be able to write to these directories, so what's the point of including them without the init script? In particular, having users' individual couchdb instances reading their configuration from /etc/couchdb/, a directory *writable* by the system couchdb user, seems like it would be a potential security problem, so I can't see any reason to want these files without having the full couchdb package installed.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package couchdb - 0.10.0~svn813472-0ubuntu2

---------------
couchdb (0.10.0~svn813472-0ubuntu2) karmic; urgency=low

  * Split couchdb into couchdb (to hold only the init) and couchdb-bin
    (to hold everything else). (LP: #427036)

 -- Chad Miller <email address hidden> Wed, 16 Sep 2009 14:12:56 -0400

Changed in couchdb (Ubuntu Karmic):
status: In Progress → Fix Released
Martin Pitt (pitti) wrote :

Thanks, Chad! I NEWed the package, so it will be in the archive in 1.5 hours.

Now desktopcouch needs to update its dependency to -bin.

Changed in desktopcouch (Ubuntu Karmic):
assignee: nobody → Ken VanDine (ken-vandine)
importance: Undecided → High
milestone: none → ubuntu-9.10-beta
status: New → Triaged
Martin Pitt (pitti) wrote :

I agree to Steve's concerns about /var/ and /etc/, as I also said on the merge proposal. But they can be moved back later.

Martin Pitt (pitti) on 2009-09-17
Changed in desktopcouch (Ubuntu Karmic):
status: Triaged → Fix Committed
Martin Pitt (pitti) on 2009-09-17
Changed in bindwood (Ubuntu Karmic):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package desktopcouch - 0.3.1-0ubuntu2

---------------
desktopcouch (0.3.1-0ubuntu2) karmic; urgency=low

  * Depend on couchdb-bin instead of couchdb (LP: #427036)

 -- Elliot Murphy <email address hidden> Wed, 16 Sep 2009 17:32:51 -0400

Changed in desktopcouch (Ubuntu Karmic):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

Both debdiffs uploaded, thanks! Please commit to your branches.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bindwood - 0.2~~rev9-0ubuntu2

---------------
bindwood (0.2~~rev9-0ubuntu2) karmic; urgency=low

  * Depend on couchdb-bin instead of couchdb (LP: #427036)

 -- Elliot Murphy <email address hidden> Wed, 16 Sep 2009 17:25:46 -0400

Changed in bindwood (Ubuntu Karmic):
status: Fix Committed → Fix Released
Changed in couchdb (Ubuntu Karmic):
status: Fix Released → In Progress
status: In Progress → Fix Released
Chad Miller (cmiller) on 2009-09-22
Changed in desktopcouch:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers